Child pages
  • Sakai SCORM player installation guide
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 20 Next »

Edia SCORM player installation guide

Installation of the tool consists of the following steps:

Step 1: Install sakai-wicket project

  1. Check out the source from the sakai-wicket project
    svn co https://source.sakaiproject.org/contrib/edia/sakai-wicket-for-scorm/trunk/ sakai-wicket
    
  2. Update the Sakai version in the root pom file, and set it to the right Sakai version, if this is not already the case. The example below sets the version to 2.7.1:
    <?xml version="1.0" encoding="UTF-8"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    
      <modelVersion>4.0.0</modelVersion>
      <parent>
        <artifactId>base</artifactId>
        <groupId>org.sakaiproject</groupId>
        <!-- The <version> property binds this library to a specific Sakai version
          ranging from from 2.7 to 2.8. In order to build this library for any other
          version than the Sakai version defined below, 2 steps are required.
    
          1) Edit the <version> tag below to hold the version you intent to build for.
          2) Add the appropriate profile to your build command using the -P<profile>
          tag. So If you intend to build for a 2.7.1 sakai version, use -Psakai2.7.
          The available profiles are:
            -Psakai2.7 : all Sakai 2.7 versions
            -Psakai2.8 : all Sakai 2.8 versions
    
           This library is known to work with the following Sakai versions:
            2.7.1
            2.8.0
         -->
        <version>2.7.1</version>
      </parent>
    ....
    </project>
    
  3. Run a mvn install, add the right profile for the sakai version. For Sakai 2.8 the profile is activated by default, to the profile can be omitted:
    mvn clean install
    
    For Sakai 2.7, the profile needs to be set:
    mvn clean install -Psakai2.7
    

Step 2: Install and deploy scorm project

  1. Check out the source from the scorm project
    svn co https://source.sakaiproject.org/contrib/scorm/SCORM.2004.3ED.RTE/trunk/ sakai-scorm
    
    co sakai-scorm
    
  2. Alternatively update the sakai version to your own version, if you do not intend to build 2.7-SNAPSHOT. Replace <OTHER_VERSION> with your version.
    <?xml version="1.0"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
      <modelVersion>4.0.0</modelVersion>
      <parent>
        <artifactId>master</artifactId>
        <groupId>org.sakaiproject</groupId>
        <relativePath>../master/pom.xml</relativePath>
        <!-- The <version> property binds this library to a specific Sakai version
          ranging from from 2.7 to 2.8. In order to build this library for any other
          version than the Sakai version defined below, 2 steps are required.
    
          1) Edit the <version> tag below to hold the version you intent to build for.
          2) Add the appropriate profile to your build command using the -P<profile>
          tag. So If you intend to build for a 2.7.1 sakai version, use -Psakai2.7.
          The available profiles are:
            -Psakai2.7 : all Sakai 2.7 versions
            -Psakai2.8 : all Sakai 2.8 versions
    
           This project is known to work with the following Sakai versions:
            2.7.1
            2.8.0
         -->
        <version>2.8.0</version>
      </parent>
    </project>
    
  3. Build the tool, add the right profile for the sakai version. For Sakai 2.8 the profile is activated by default, to the profile can be omitted:
    mvn clean install sakai:deploy -Dmaven.tomcat.home=<PATH_TO_SAKAI>
    
    For Sakai 2.7, the profile needs to be set:
    mvn clean install sakai:deploy -Dmaven.tomcat.home=<PATH_TO_SAKAI> -Psakai2.7
    

More info

  • No labels